> For the complete documentation index, see [llms.txt](https://docs.usewinter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usewinter.com/nft-claim-api/mintfreenft.md).

# /mintFreeNFT

🚨 You'll need to contact `dev@usewinter.com` for your API keys!<br>

This set of APIs is for when you want to mint specifically a FREE NFT directly from a smart contract.

An example use case is if you want to reward a user with a free loyalty NFT!

<mark style="color:green;">`POST`</mark> `https://winter-api.usewinter.com/mintNFT`

This API will return back all NFTs associated with a given email

#### Request Body

| Name                                        | Type    | Description                                                                                                                |
| ------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------- |
| projectId<mark style="color:red;">\*</mark> | Integer | projectId set up in Winter's dashboard (a project ID will correspond to smart contract address, ABI, etc)                  |
| chain<mark style="color:red;">\*</mark>     | String  | Chain to mint on                                                                                                           |
| email                                       | String  | Optional string to send user an email confirmation                                                                         |
| mintParams                                  | JSON    | Optional JSON object with extra mint params (e.g. if you want to specify a specific tier of an item, this is what you use) |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
   "project_id":104,
   "success": true,
   "mint_id":"01a2e7b5fb11d9342320b3edd1006800",
   "token_id":19,
   "tokenuri":"ipfs://QmQxTMxsAtkNodUJ26mbtchsnqTekKqgDvkjnzWir4vTxZ/19",
   "token_symbol":"MATIC",
   "smart_contract_address":"0xc9a1c857172974978641fde7463c22f4a6111d77",
   "txHash": "0x8259801df6220e4e47960fcdd0dff998973ee70bb1e24688370460fba8a8ae49"
}
```

{% endtab %}
{% endtabs %}

This API will return back if the mint was success or failure and additional details such as tx hash, token\_id, and other details!

E.g. /mintFreeNFT returns:

```
{
   "project_id":104,
   "success": true,
   "mint_id":"01a2e7b5fb11d9342320b3edd1006800",
   "token_id":19,
   "tokenuri":"ipfs://QmQxTMxsAtkNodUJ26mbtchsnqTekKqgDvkjnzWir4vTxZ/19",
   "token_symbol":"MATIC",
   "smart_contract_address":"0xc9a1c857172974978641fde7463c22f4a6111d77",
   "txHash": "0x8259801df6220e4e47960fcdd0dff998973ee70bb1e24688370460fba8a8ae49"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usewinter.com/nft-claim-api/mintfreenft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
